Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.reflection
Class ReflectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ejie.r01f.exceptions.R01FBaseException
                  com.ejie.r01f.reflection.ReflectionException

All Implemented Interfaces:
  java.io.Serializable

public class ReflectionException
extends R01FBaseException

Excepción que se lanza si hay algun error al utilizar alguna funcion de reflection Fecha de creación: (17/11/001)

See Also:
  Serialized Form

Constructor Summary
`ReflectionException()` Constructor
`ReflectionException(java.lang.Exception otherEx)` Constructor a partir de otra excepcion
`ReflectionException(java.lang.String s)` Constructor
`ReflectionException(java.lang.String s, java.lang.Exception otherEx)` Constructor

Methods inherited from class com.ejie.r01f.exceptions.R01FBaseException
`getDetailedMessage, getErrorNumber, getMessage, getRawMessage, setErrorNumber, toHtml, toString, toXML`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReflectionException

    public ReflectionException()

  Constructor

### ReflectionException

    public ReflectionException(java.lang.Exception otherEx)

  Constructor a partir de otra excepcion

Parameters:
  `otherEx` - otra exception

### ReflectionException

    public ReflectionException(java.lang.String s)

  Constructor

Parameters:
  `s` - java.lang.String

### ReflectionException

    public ReflectionException(java.lang.String s,
                               java.lang.Exception otherEx)

  Constructor

Parameters:
  `s` - java.lang.String
  `otherEx` - other ex

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD